tag 标签: SS626

相关博文
  • 热度 5
    2023-8-3 18:45
    314 次阅读|
    0 个评论
    文章转载自 易百纳技术社区 确保服务器已安装pipSS626V100开发环境通常包括Linux服务器、Windows工作台和SS626V100DMEB(目标板),三者同处于一个网络中。 SS626开发环境 在Linux服务器上建立交叉编译环境,Windows工作台通过串口和网口与SS626V100单板连接,可以在Windows工作台中进行程序开发或者远程登录到Linux服务器进行程序开发。 一、搭建开发环境 推荐使用64位Linux服务器,推荐的硬件配置: CPUIntel(R)Xeon(R)CPUE5-24500@2.10GHz或更好CPU =16GB =600GB GigabitEthernet OS:Ubuntu18.04.264bit 本文介绍基于如下版本Linux系统: Ubuntu18.04.2LTS(GNU/Linux4.15.0-45-genericx86_64) 二、网络环境搭建 请自行配置网络,并安装nfs,samba,ssh等网络组件。 三、软件包安装 操作系统安装好后,且已自行配置好网络环境,则可继续如下步骤完成相关软件包的安装: 1.配置默认使用bash 执行: sudo dpkg-reconfigure dash 选择no 2.安装软件包 执行: sudo apt-get install make libc6-i386 lib32z1 lib32stdc++6 zlib1g-devlibncurses5-dev ncurses-term libncursesw5-dev g++ u-boot-tools texinfo texlivegawk libssl-dev openssl bc p7zip-full gperf bison flex diffutils git unzip libtoolautopoint gettext po4a 3.创建/etc/ld.so.preload文件,并执行: /etc/ld.so.preload 以解决64bitlinuxserver上某些第三方库编译失败的问题。 4. mtd-utils依赖以下几个库,以ubuntu为例,安装方式参考下面命令: sudo apt-get install zlib1g-dev liblzo2-dev uuid-dev pkg-config automake 由于mtd-utils通过pkg-config工具检查各个库是否正常安装,可参考如下方式设置pkg-config工具搜索路径: exportPKG_CONFIG_PATH="$PKG_CONFIG_PATH:/usr/lib/x86_64-linux-gnu/pkgconfig" 5.e2fsprogs依赖texlive库,安装方式可参考如下命令: sudo apt-get install texlive 6. LiteOS编译需要安装的工具包括python、pip和kconfiglib (1)确保服务器已安装python,python2.7/3.2+均支持。 如果服务器没有安装python,根据官网 python2.7安装文档 或 python3.8安装文档 ,完成安装。 (2)确保服务器已安装pip。 如果pip命令不存在,可以下载源码包进行安装。pip依赖setuptools,如果setuptools不存在,也需要安装。 —setuptools安装。 setuptools源代码下载 ,参考下面的命令进行安装: sudo unzip setuptools-50.3.2.zip cd setuptools sudo python setup.py install —pip安装。 点击 pip源代码包下载地址 ,可以参考下面的命令进行安装: sudo tar -zxvf pip-20.2.4.tar.gz cd pip-20.2.4 sudo python setup.py install (3) 安装kconfiglib。 —对于服务器可以联网的情况。可以直接使用如下命令安装kconfiglib: sudo pip install kconfiglib — 对于服务器不能联网的情况。 可以采用离线的方式安装。首先在其他能联网的环境上 下载kconfiglib ,当前Kconfiglib的版本号为14.1.0,可以下载kconfiglib的wheel文件kconfiglib-14.1.0-py2.py3-none-any.whl或源代码文件kconfiglib-14.1.0.tar.gz。 wheel文件的安装,可以参考如下命令: sudo pip install kconfiglib-14.1.0-py2.py3-none-any.whl 源代码文件的安装,可以参考如下命令: sudo tar -zxvf kconfiglib-14.1.0.tar.gz cd kconfiglib-14.1.0 sudo python setup.py install 7. boot、optee模块依赖python3.x.x、pip3、wheel、pycryptodome、pyelftools库 python3.x.x安装推荐python3.7.6版本,下载安装并执行如下指令: tar -zxvf Python-3.7.6.tgz cd Python-3.7.6/ ./configure make make install wheel推荐源码安装,pip安装可能失败 下载wheel-0.36.2.tar.gz安装包 tar -xzf wheel-0.36.2.tar.gz cd wheel-0.36.2 sudo python2 setup.py install sudo pip3 install pycryptodome-3.9.8-cp37-cp37m-manylinux1_x86_64.whl sudo pip3 install pyelftools-0.27-py2.py3-none-any.whl 四、安装交叉编译工具 安装步骤如下: 1.解压工具链。执行如下命令进行解压: tar -xvf aarch64-mix410-linux.tgz 2.安装工具链 运行命令: sudo ./aarch64-mix410-linux.install 即可完成此工具链的安装。 五 、 安装riscv交叉编译工具 1. 解压、安装工具链。 tar -xvf cc-riscv32-cfg11-musl-xxxxxxx-elf.tar.gz cd cc-riscv32-cfg11-musl-xxxxxxx-elf sudo ./install.sh cd cc-riscv32-cfg11-musl-xxxxxxx-elf/bin $HOME/.profile source ~/.profile 2. 检查工具链版本,打印版本则表示配置成功。 riscv32-cfg11-musl-xxxxxxx-elf-gcc -v 文章转载自 易百纳技术社区